import { h } from "@stencil/core";
export class WcMaterializecssCarousel {
    constructor() {
        this.items = [];
        this.template = true;
    }
    componentDidLoad() {
        this.mcssCarouselComponentDidLoad.emit();
    }
    defaultRender() {
        return [
            h("div", { class: "carousel" }, this.items.map((item) => h("a", { class: "carousel-item", href: item.link, "data-id": item.id, title: item.title, target: item.target },
                h("img", { src: item.url, alt: item.alt }))))
        ];
    }
    customRender() {
    }
    render() {
        if (!this.template)
            return this.defaultRender();
    }
    static get is() { return "wc-materializecss-carousel"; }
    static get originalStyleUrls() { return {
        "$": ["wc-materializecss-carousel.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["wc-materializecss-carousel.css"]
    }; }
    static get properties() { return {
        "items": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "carouselItems[]",
                "resolved": "carouselItems[]",
                "references": {
                    "carouselItems": {
                        "location": "local"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "defaultValue": "[]"
        },
        "template": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "template",
            "reflect": false,
            "defaultValue": "true"
        }
    }; }
    static get events() { return [{
            "method": "mcssCarouselComponentDidLoad",
            "name": "mcssCarouselComponentDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
